/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.domain.dto.sys.MenuExtend;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MenuC;
import com.crunii.micro.service.sysmgr.dto.sysmgr.MenuU;

import java.util.List;
import java.util.Set;

/**
 * @author 田平 create 2019年2月19日下午3:57:07
 */
public interface MenuService {

	public List<MenuExtend> getChildren(String parentMenuCode,Integer menuType);

	public void updateMenu(MenuU menuU);

	public void createMenu(MenuC menuC);

	public void recursiveParents(String menuCode, Set<String> parents);
}
